/*
 *   $Id: $
 *
 *   Authors:
 *    Greg Daley		<Greg.Daley@eng.monash.edu.au>
 *
 *   This software is Copyright 2004 by the above mentioned author(s), 
 *   All Rights Reserved.
 *
 *   The license which is distributed with this software in the file COPYRIGHT
 *   applies to this software. If your distribution is missing this file, you
 *   may request it from <lutchann@litech.org>.
 *
 */

#ifndef DETFRA_H
#define DETFRA_H


#include <includes.h>

/* draft-daley-dna-det-fastra-00.txt */


#define R2R_STATE_NOT_FAST      0 /* unused */
#define R2R_STATE_BOOT_STRAP    1
#define R2R_STATE_ADV_CHANGE    2
#define R2R_STATE_STEADY        4
#define R2R_STATE_ADV_LEAVE     8 /* unused */

#define R2R_STATES_READY     \
              (R2R_STATE_ADV_CHANGE|R2R_STATE_STEADY)

#define MAX_RTR_STATUS_REQ_DELAY        ((double)1.0 ) /* 1000ms*/
#define MAX_RTR_STATUS_DELAY            ((double)0.5 ) /* 500ms */
#define MAX_INITIAL_RTR_STATUS 3


#define MIN_DELAY_BETWEEN_RTR_STATUS    3.0

#define RTR_STATUS_REQ_INTERVAL         4.0
#endif /* DETFRA_H */
